#ifndef _CB_ENTITY_H_
#define _CB_ENTITY_H_

namespace ComponentSystem
{
	/// Component based entity
	class CBEntity
	{
	public:

		std::map<ComponentType, Component*> ComponentByType;

		CBEntity();
		~CBEntity();

		void addComponent(Component* component);
		Component* getComponent(ComponentType type) const;

		void update();
	private:
	};
}

#endif